MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002958ardourbugspublic2009-12-16 07:092012-12-18 09:03
Reporteroofus 
Assigned Topaul 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDell D830 core2duo T9300 2.5GHzOSMandrivaOS Version2009.1
Product VersionSVN/2.0-ongoing 
Target Version3.XFixed in Version 
Summary0002958: GUI freezes normalising a region when the transport is in play.
DescriptionGUI freezes normalising a region when the transport is in play.

Seems to be the waveform rebuilding, it completely blocks the GUI.

Normalised a 45 minute stereo region (44K1 24 bit). GUI froze for about 30 seconds. Everything returned to normal after that.

The audio kept on playing with no problems during this period.

The Gui appears to freeze when normalising with the transport stopped as well, but the process is much faster, 2 seconds ?, so it is not as noticeable.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007832)
colinf (updater)
2010-05-08 09:36

I just got caught by this, too. I accidentally hit 'N' instead of the spacebar, with all regions in a 2 hour, 10 track session selected, and had time to make a cup of tea before Ardour had finished reading all the audio off the disk and was responsive again. Fortunately the 'undo' was instantaneous...

Perhaps a progress bar whilst normalising would be a nice thing to add, or even an 'Are you sure?' if there's more than a small amount of audio to be normalised.
(0008597)
oofus (developer)
2010-07-22 08:42

Still an issue in 3.x as of rev 7470
(0014347)
colinf (updater)
2012-12-11 07:30

Ardour 3 has had a 'normalizing' dialog with a progress bar and a cancel button for a while now - I guess that's probably enough to call this resolved?
(0014359)
paul (administrator)
2012-12-18 09:03

see notes.

- Issue History
Date Modified Username Field Change
2009-12-16 07:09 oofus New Issue
2010-04-24 03:28 cth103 Category bugs => bugs2
2010-04-24 03:31 cth103 Category bugs2 => bugs
2010-05-08 09:36 colinf Note Added: 0007832
2010-07-22 08:42 oofus cost => 0.00
2010-07-22 08:42 oofus Target Version => 3.X
2010-07-22 08:42 oofus Note Added: 0008597
2012-12-11 07:30 colinf Note Added: 0014347
2012-12-18 09:03 paul Note Added: 0014359
2012-12-18 09:03 paul Status new => resolved
2012-12-18 09:03 paul Resolution open => fixed
2012-12-18 09:03 paul Assigned To => paul


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker